predict.bma = function(object, newdata, top=NULL, ...) {
  n <- dim(newdata)[1]
  postprobs <- object$postprobs
  best <- order(-postprobs)
  if (!is.null(top)) best <- best[1:top]
  models <- object$which[best]
  beta <- object$ols[best]
  gg <- object$shrinkage[best]
  postprobs <- postprobs[best]
  postprobs <- postprobs/sum(postprobs)
  M <- length(postprobs)
  Ypred <- matrix(0, M, n)
  for (i in 1:M) {
    beta.m <- beta[[i]]
    model.m <- models[[i]]
      Ypred[i,] <-  (newdata[,model.m[-1],drop=FALSE] %*% beta.m[-1])*gg[i]  + beta.m[1]
  }
  Ybma <- t(Ypred) %*% postprobs
 return(list(Ybma=Ybma, Ypred=Ypred, best=best))
}  


fitted.bma = function(object,  type="HPM", top=NULL, ...) {
  nmodels = length(object$which)
  X = object$X
  if (type=="HPM") {
    best =  min((1:nmodels)[object$logmarg == max(object$logmarg)])
    yhat  <- as.vector(X[,object$which[[best]]+1, drop=FALSE] %*% object$ols[[best]]) * object$shrinkage[[best]]
    yhat = yhat + (1 - object$shrinkage[[best]])*(object$ols[[best]])[1]
  }
  if (type == "BMA") {
   yhat = predict.bma(object, X[,-1], top)$Ybma
}
  if (type == "MPM") {
   nvar = ncol(X) - 1
   modelnum <- sapply(object$which, bin2int)
   bestmodel<- (0:nvar)[object$probne0 > .5]
   best <- match(bin2int(bestmodel), modelnum)
   if (is.na(best)) {
     model <- rep(0, nvar+1)
     model[bestmodel+1] <- 1
     object <- bas.lm(object$Y ~ object$X, n.models=1, alpha=object$g,initprobs=object$probne0, prior=object$prior, random=TRUE, update=NULL,bestmodel=model,prob.local=.0)
     best=1
   }
   yhat  <- as.vector(X[,object$which[[best]]+1, drop=FALSE] %*% object$ols[[best]]) * object$shrinkage[[best]]
   yhat = yhat + (1 - object$shrinkage[[best]])*(object$ols[[best]])[1]
 }
return(yhat)
}
